> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-guideline-filter-options.md).

# getGuidelineFilterOptions

Get the distinct filter values (categories, languages, statuses, creators) available across all of the org guidelines.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetGuidelineFilterOptions {
  getGuidelineFilterOptions {
    categories
    languages
    statuses
    createdBy
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetGuidelineFilterOptions { getGuidelineFilterOptions { categories languages statuses createdBy } }"
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetGuidelineFilterOptions { getGuidelineFilterOptions { categories languages statuses createdBy } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetGuidelineFilterOptions { getGuidelineFilterOptions { categories languages statuses createdBy } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Fields

Return type: [`GuidelineFilterOptions!`](/api-documentation/api-reference/api--vibesec/types/objects/guideline-filter-options.md)

You can use the following field(s) to specify what information your `getGuidelineFilterOptions` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                                | Description                                                               | Supported fields |
| -------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------- | ---------------- |
| categories [`[CategoryId!]!`](/api-documentation/api-reference/api--vibesec/types/enums/category-id.md)              | Distinct categories present across all guidelines for this org            |                  |
| languages [`[GuidelineLanguage!]!`](/api-documentation/api-reference/api--vibesec/types/enums/guideline-language.md) | Distinct languages present across all guidelines for this org             |                  |
| statuses [`[GuidelineStatus!]!`](/api-documentation/api-reference/api--vibesec/types/enums/guideline-status.md)      | Distinct statuses present across all guidelines for this org              |                  |
| createdBy `[String!]!`                                                                                               | Distinct creators (users + OX) present across all guidelines for this org |                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-guideline-filter-options.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
